{
    "$graph": [
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=single-merge",
                "sentinel_outputs=align_bam,work_bam_plus__disc,work_bam_plus__sr,hla__fastq",
                "sentinel_inputs=alignment_rec:record,work_bam:var,align_bam:var,work_bam_plus__disc:var,work_bam_plus__sr:var,hla__fastq:var"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "merge_split_alignments",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 8,
                    "outdirMin": 1551,
                    "ramMin": 28672,
                    "tmpdirMin": 264
                },
                {
                    "class": "https://www.dnanexus.com/cwl#InputResourceRequirement",
                    "indirMin": 3159
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "biobambam",
                            "specs": [
                                "https://anaconda.org/bioconda/biobambam"
                            ]
                        },
                        {
                            "package": "samtools",
                            "specs": [
                                "https://anaconda.org/bioconda/samtools"
                            ]
                        },
                        {
                            "package": "variantbam",
                            "specs": [
                                "https://anaconda.org/bioconda/variantbam"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#merge_split_alignments.cwl/alignment_rec",
                    "type": {
                        "fields": [
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/resources",
                                "type": "string"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/description",
                                "type": "string"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/config__algorithm__align_split_size",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/files",
                                "type": {
                                    "items": "File",
                                    "type": "array"
                                }
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/config__algorithm__trim_reads",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/reference__fasta__base",
                                "type": "File"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/config__algorithm__adapters",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": [
                                            "null",
                                            "string"
                                        ],
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/rgnames__lb",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/rgnames__rg",
                                "type": "string"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/rgnames__lane",
                                "type": "string"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/config__algorithm__bam_clean",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/config__algorithm__aligner",
                                "type": "string"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/reference__minimap2__indexes",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": [
                                            "null",
                                            "string"
                                        ],
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/rgnames__pl",
                                "type": "string"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/rgnames__pu",
                                "type": "string"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/config__algorithm__mark_duplicates",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/analysis",
                                "type": "string"
                            },
                            {
                                "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec/rgnames__sample",
                                "type": "string"
                            }
                        ],
                        "name": "#merge_split_alignments.cwl/alignment_rec/alignment_rec",
                        "type": "record"
                    }
                },
                {
                    "id": "#merge_split_alignments.cwl/work_bam",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": {
                        "items": [
                            "File",
                            "null"
                        ],
                        "type": "array"
                    }
                },
                {
                    "id": "#merge_split_alignments.cwl/align_bam_toolinput",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": {
                        "items": [
                            "File",
                            "null"
                        ],
                        "type": "array"
                    }
                },
                {
                    "id": "#merge_split_alignments.cwl/work_bam_plus__disc_toolinput",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": {
                        "items": [
                            "File",
                            "null"
                        ],
                        "type": "array"
                    }
                },
                {
                    "id": "#merge_split_alignments.cwl/work_bam_plus__sr_toolinput",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": {
                        "items": [
                            "File",
                            "null"
                        ],
                        "type": "array"
                    }
                },
                {
                    "id": "#merge_split_alignments.cwl/hla__fastq_toolinput",
                    "type": {
                        "items": [
                            "null",
                            {
                                "items": "File",
                                "type": "array"
                            }
                        ],
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#merge_split_alignments.cwl",
            "outputs": [
                {
                    "id": "#merge_split_alignments.cwl/align_bam",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#merge_split_alignments.cwl/work_bam_plus__disc",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#merge_split_alignments.cwl/work_bam_plus__sr",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#merge_split_alignments.cwl/hla__fastq",
                    "type": [
                        "null",
                        {
                            "items": "File",
                            "type": "array"
                        }
                    ]
                }
            ]
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=single-split",
                "sentinel_outputs=process_alignment_rec:files;config__algorithm__quality_format;align_split",
                "sentinel_inputs=alignment_rec:record"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "prep_align_inputs",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 8,
                    "outdirMin": 1250,
                    "ramMin": 28672,
                    "tmpdirMin": 113
                },
                {
                    "class": "https://www.dnanexus.com/cwl#InputResourceRequirement",
                    "indirMin": 3159
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "grabix",
                            "specs": [
                                "https://anaconda.org/bioconda/grabix"
                            ]
                        },
                        {
                            "package": "htslib",
                            "specs": [
                                "https://anaconda.org/bioconda/htslib"
                            ]
                        },
                        {
                            "package": "biobambam",
                            "specs": [
                                "https://anaconda.org/bioconda/biobambam"
                            ]
                        },
                        {
                            "package": "atropos;env",
                            "specs": [
                                "https://anaconda.org/bioconda/atropos;env"
                            ],
                            "version": [
                                "python3"
                            ]
                        },
                        {
                            "package": "optitype",
                            "specs": [
                                "https://anaconda.org/bioconda/optitype"
                            ]
                        },
                        {
                            "package": "razers3",
                            "specs": [
                                "https://anaconda.org/bioconda/razers3"
                            ],
                            "version": [
                                "3.5.0"
                            ]
                        },
                        {
                            "package": "coincbc",
                            "specs": [
                                "https://anaconda.org/bioconda/coincbc"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#prep_align_inputs.cwl/alignment_rec",
                    "type": {
                        "fields": [
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/resources",
                                "type": "string"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/description",
                                "type": "string"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/config__algorithm__align_split_size",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/files",
                                "type": {
                                    "items": "File",
                                    "type": "array"
                                }
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/config__algorithm__trim_reads",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/reference__fasta__base",
                                "type": "File"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/config__algorithm__adapters",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": [
                                            "null",
                                            "string"
                                        ],
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/rgnames__lb",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/rgnames__rg",
                                "type": "string"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/rgnames__lane",
                                "type": "string"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/config__algorithm__bam_clean",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/config__algorithm__aligner",
                                "type": "string"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/reference__minimap2__indexes",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": [
                                            "null",
                                            "string"
                                        ],
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/rgnames__pl",
                                "type": "string"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/rgnames__pu",
                                "type": "string"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/config__algorithm__mark_duplicates",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/analysis",
                                "type": "string"
                            },
                            {
                                "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec/rgnames__sample",
                                "type": "string"
                            }
                        ],
                        "name": "#prep_align_inputs.cwl/alignment_rec/alignment_rec",
                        "type": "record"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#prep_align_inputs.cwl/process_alignment_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#prep_align_inputs.cwl/process_alignment_rec/process_alignment_rec/files",
                                    "type": [
                                        "null",
                                        {
                                            "items": "File",
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "name": "#prep_align_inputs.cwl/process_alignment_rec/process_alignment_rec/config__algorithm__quality_format",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#prep_align_inputs.cwl/process_alignment_rec/process_alignment_rec/align_split",
                                    "type": [
                                        "string",
                                        "null"
                                    ]
                                }
                            ],
                            "name": "#prep_align_inputs.cwl/process_alignment_rec/process_alignment_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#prep_align_inputs.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=single-parallel",
                "sentinel_outputs=work_bam,align_bam,hla__fastq,work_bam_plus__disc,work_bam_plus__sr",
                "sentinel_inputs=alignment_rec:record,process_alignment_rec:record"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "process_alignment",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 8,
                    "outdirMin": 1325,
                    "ramMin": 28672,
                    "tmpdirMin": 151
                },
                {
                    "class": "https://www.dnanexus.com/cwl#InputResourceRequirement",
                    "indirMin": 3310
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bwa",
                            "specs": [
                                "https://anaconda.org/bioconda/bwa"
                            ]
                        },
                        {
                            "package": "bwakit",
                            "specs": [
                                "https://anaconda.org/bioconda/bwakit"
                            ]
                        },
                        {
                            "package": "grabix",
                            "specs": [
                                "https://anaconda.org/bioconda/grabix"
                            ]
                        },
                        {
                            "package": "minimap2",
                            "specs": [
                                "https://anaconda.org/bioconda/minimap2"
                            ]
                        },
                        {
                            "package": "novoalign",
                            "specs": [
                                "https://anaconda.org/bioconda/novoalign"
                            ]
                        },
                        {
                            "package": "snap-aligner",
                            "specs": [
                                "https://anaconda.org/bioconda/snap-aligner"
                            ],
                            "version": [
                                "1.0dev.97"
                            ]
                        },
                        {
                            "package": "sentieon",
                            "specs": [
                                "https://anaconda.org/bioconda/sentieon"
                            ]
                        },
                        {
                            "package": "samtools",
                            "specs": [
                                "https://anaconda.org/bioconda/samtools"
                            ]
                        },
                        {
                            "package": "pysam>",
                            "specs": [
                                "https://anaconda.org/bioconda/pysam>"
                            ],
                            "version": [
                                "0.13.0"
                            ]
                        },
                        {
                            "package": "sambamba",
                            "specs": [
                                "https://anaconda.org/bioconda/sambamba"
                            ]
                        },
                        {
                            "package": "fgbio",
                            "specs": [
                                "https://anaconda.org/bioconda/fgbio"
                            ]
                        },
                        {
                            "package": "umis",
                            "specs": [
                                "https://anaconda.org/bioconda/umis"
                            ]
                        },
                        {
                            "package": "biobambam",
                            "specs": [
                                "https://anaconda.org/bioconda/biobambam"
                            ]
                        },
                        {
                            "package": "seqtk",
                            "specs": [
                                "https://anaconda.org/bioconda/seqtk"
                            ]
                        },
                        {
                            "package": "samblaster",
                            "specs": [
                                "https://anaconda.org/bioconda/samblaster"
                            ]
                        },
                        {
                            "package": "variantbam",
                            "specs": [
                                "https://anaconda.org/bioconda/variantbam"
                            ]
                        }
                    ]
                },
                {
                    "class": "http://arvados.org/cwl#APIRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#process_alignment.cwl/alignment_rec",
                    "type": {
                        "fields": [
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/resources",
                                "type": "string"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/description",
                                "type": "string"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/config__algorithm__align_split_size",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/files",
                                "type": {
                                    "items": "File",
                                    "type": "array"
                                }
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/config__algorithm__trim_reads",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/reference__fasta__base",
                                "type": "File"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/config__algorithm__adapters",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": [
                                            "null",
                                            "string"
                                        ],
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/rgnames__lb",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/rgnames__rg",
                                "type": "string"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/rgnames__lane",
                                "type": "string"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/config__algorithm__bam_clean",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/config__algorithm__aligner",
                                "type": "string"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/reference__minimap2__indexes",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": [
                                            "null",
                                            "string"
                                        ],
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/rgnames__pl",
                                "type": "string"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/rgnames__pu",
                                "type": "string"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/config__algorithm__mark_duplicates",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/analysis",
                                "type": "string"
                            },
                            {
                                "name": "#process_alignment.cwl/alignment_rec/alignment_rec/rgnames__sample",
                                "type": "string"
                            }
                        ],
                        "name": "#process_alignment.cwl/alignment_rec/alignment_rec",
                        "type": "record"
                    }
                },
                {
                    "id": "#process_alignment.cwl/process_alignment_rec",
                    "type": {
                        "fields": [
                            {
                                "name": "#process_alignment.cwl/process_alignment_rec/process_alignment_rec/files",
                                "type": [
                                    "null",
                                    {
                                        "items": "File",
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/process_alignment_rec/process_alignment_rec/config__algorithm__quality_format",
                                "type": [
                                    "string",
                                    "null"
                                ]
                            },
                            {
                                "name": "#process_alignment.cwl/process_alignment_rec/process_alignment_rec/align_split",
                                "type": [
                                    "string",
                                    "null"
                                ]
                            }
                        ],
                        "name": "#process_alignment.cwl/process_alignment_rec/process_alignment_rec",
                        "type": "record"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#process_alignment.cwl/work_bam",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#process_alignment.cwl/align_bam",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#process_alignment.cwl/hla__fastq",
                    "type": [
                        "null",
                        {
                            "items": "File",
                            "type": "array"
                        }
                    ]
                },
                {
                    "id": "#process_alignment.cwl/work_bam_plus__disc",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#process_alignment.cwl/work_bam_plus__sr",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#process_alignment.cwl"
        },
        {
            "class": "Workflow",
            "hints": [],
            "inputs": [
                {
                    "id": "#main/alignment_rec",
                    "type": {
                        "fields": [
                            {
                                "name": "#main/alignment_rec/alignment_rec/resources",
                                "type": "string"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/description",
                                "type": "string"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/config__algorithm__align_split_size",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/files",
                                "type": {
                                    "items": "File",
                                    "type": "array"
                                }
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/config__algorithm__trim_reads",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/reference__fasta__base",
                                "type": "File"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/config__algorithm__adapters",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": [
                                            "null",
                                            "string"
                                        ],
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/rgnames__lb",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/rgnames__rg",
                                "type": "string"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/rgnames__lane",
                                "type": "string"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/config__algorithm__bam_clean",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/config__algorithm__aligner",
                                "type": "string"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/reference__minimap2__indexes",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": [
                                            "null",
                                            "string"
                                        ],
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/rgnames__pl",
                                "type": "string"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/rgnames__pu",
                                "type": "string"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/config__algorithm__mark_duplicates",
                                "type": [
                                    "string",
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/analysis",
                                "type": "string"
                            },
                            {
                                "name": "#main/alignment_rec/alignment_rec/rgnames__sample",
                                "type": "string"
                            }
                        ],
                        "name": "#main/alignment_rec/alignment_rec",
                        "type": "record"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#main/align_bam",
                    "outputSource": "#main/merge_split_alignments/align_bam",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#main/work_bam_plus__disc",
                    "outputSource": "#main/merge_split_alignments/work_bam_plus__disc",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#main/work_bam_plus__sr",
                    "outputSource": "#main/merge_split_alignments/work_bam_plus__sr",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "type": [
                        "File",
                        "null"
                    ]
                },
                {
                    "id": "#main/hla__fastq",
                    "outputSource": "#main/merge_split_alignments/hla__fastq",
                    "type": [
                        "null",
                        {
                            "items": "File",
                            "type": "array"
                        }
                    ]
                }
            ],
            "requirements": [
                {
                    "class": "EnvVarRequirement",
                    "envDef": [
                        {
                            "envName": "MPLCONFIGDIR",
                            "envValue": "."
                        }
                    ]
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "id": "#main/prep_align_inputs",
                    "in": [
                        {
                            "id": "#main/prep_align_inputs/alignment_rec",
                            "source": "#main/alignment_rec"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/prep_align_inputs/process_alignment_rec"
                        }
                    ],
                    "run": "#prep_align_inputs.cwl"
                },
                {
                    "id": "#main/process_alignment",
                    "in": [
                        {
                            "id": "#main/process_alignment/alignment_rec",
                            "source": "#main/alignment_rec"
                        },
                        {
                            "id": "#main/process_alignment/process_alignment_rec",
                            "source": "#main/prep_align_inputs/process_alignment_rec"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/process_alignment/work_bam"
                        },
                        {
                            "id": "#main/process_alignment/align_bam"
                        },
                        {
                            "id": "#main/process_alignment/hla__fastq"
                        },
                        {
                            "id": "#main/process_alignment/work_bam_plus__disc"
                        },
                        {
                            "id": "#main/process_alignment/work_bam_plus__sr"
                        }
                    ],
                    "run": "#process_alignment.cwl",
                    "scatter": [
                        "#main/process_alignment/process_alignment_rec"
                    ],
                    "scatterMethod": "dotproduct"
                },
                {
                    "id": "#main/merge_split_alignments",
                    "in": [
                        {
                            "id": "#main/merge_split_alignments/alignment_rec",
                            "source": "#main/alignment_rec"
                        },
                        {
                            "id": "#main/merge_split_alignments/work_bam",
                            "source": "#main/process_alignment/work_bam"
                        },
                        {
                            "id": "#main/merge_split_alignments/align_bam_toolinput",
                            "source": "#main/process_alignment/align_bam"
                        },
                        {
                            "id": "#main/merge_split_alignments/work_bam_plus__disc_toolinput",
                            "source": "#main/process_alignment/work_bam_plus__disc"
                        },
                        {
                            "id": "#main/merge_split_alignments/work_bam_plus__sr_toolinput",
                            "source": "#main/process_alignment/work_bam_plus__sr"
                        },
                        {
                            "id": "#main/merge_split_alignments/hla__fastq_toolinput",
                            "source": "#main/process_alignment/hla__fastq"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/merge_split_alignments/align_bam"
                        },
                        {
                            "id": "#main/merge_split_alignments/work_bam_plus__disc"
                        },
                        {
                            "id": "#main/merge_split_alignments/work_bam_plus__sr"
                        },
                        {
                            "id": "#main/merge_split_alignments/hla__fastq"
                        }
                    ],
                    "run": "#merge_split_alignments.cwl"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
